techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Place Order
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
          POST
        • List orders
          GET
        • Order Details
          GET
        • Vouchered Cart
          POST
        • Discounted Cart
          POST
        • Redeemed Cart
          POST
        • Add-On Order
          POST
        • Redeemed Add-Ons Cart
          POST
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Place Order

Place Order

POST
https://api.techrar.com/api/v3/orders/
This endpoint allows customers to create a new order for meal subscriptions or one-time purchases. Customers can schedule recurring deliveries with customized menu selections, add supplementary items, choose pickup or delivery options, apply promotional vouchers, and include special instructions. The system validates all requirements and processes the order, returning confirmation details with pricing breakdown and payment links when applicable.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/orders/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "cart_id": null,
  "cart_items": [
    {
      "quantity": 1,
      "is_combo": false,
      "is_subscription": false,
      "combo": null,
      "product": null,
      "subscription": {
        "plan_id": 977,
        "dates": [
          {
            "date": "2025-07-10",
            "options_ids": [29145],
            "variants": [501],
            "add_ons": [{ "id": 2, "quantity": 1 }, { "id": 8, "quantity": 1 }]
          },
          {
            "date": "2025-07-11",
            "options_ids": [29165],
            "variants": [1],
            "add_ons": [{ "id": 2, "quantity": 1 },{ "id": 8, "quantity": 1 }]
          },
          {
            "date": "2025-07-12",
            "options_ids": [29185, 29145],
            "variants": [1, 0],
            "add_ons": [{ "id": 2, "quantity": 1 },{ "id": 8, "quantity": 1 }]
          },
          {
            "date": "2025-07-13",
            "options_ids": [29205],
            "variants": [],
            "add_ons": [{ "id": 2, "quantity": 1 }, { "id": 8, "quantity": 1 }]
          },
          {
            "date": "2025-07-14",
            "options_ids": [29226, 29145],
            "variants": [0, 0],
            "add_ons": [{ "id": 2, "quantity": 1 },{ "id": 8, "quantity": 1 }]
          },
          {
            "date": "2025-07-15",
            "options_ids": [29246],
            "add_ons": [{ "id": 2, "quantity": 1 }, { "id": 8, "quantity": 1 }]
          },
          {
            "date": "2025-07-16",
            "options_ids": [29266],
            "add_ons": [{ "id": 2, "quantity": 1 }, { "id": 8, "quantity": 1 }]
          }
        ],
        "primary_location_id": 2697,
        "secondary_location_id": 2697,
        "notes": "-"
      }
    }
  ],
  "is_subscription": true,
  "notes": null,
  "secondary_mobile_number": null,
  "delivery_window_id": 74,
  "location": {
    "id": 2697,
    "is_corporate_location": false
  },
  "is_redeeming": true,
  "restaurant_id": 90
}'
Response Response Example
{
    "id": 5800,
    "custom_fields": null,
    "cart": {
        "id": 10308,
        "custom_fields": null,
        "items": [
            {
                "id": 11260,
                "custom_fields": null,
                "ordered_combo": null,
                "ordered_product": null,
                "subscription": {
                    "id": 8607,
                    "custom_fields": null,
                    "plan": {
                        "id": 460,
                        "custom_fields": {},
                        "restaurants": [
                            {
                                "id": 90,
                                "name_ar": "يو اي تي",
                                "name_en": "UAT",
                                "logo": "/media/uploads/restaurants/menus/2024/03/06/9a2e53f0-944d-452f-b8a8-d0fd1489b1a3.png",
                                "supports_pickup": true,
                                "supports_delivery": true,
                                "closed_dates": []
                            }
                        ],
                        "plan_tags": [
                            {
                                "id": 71,
                                "custom_fields": null,
                                "app_id": 90,
                                "created_at": "2024-04-25T12:10:50.157948+03:00",
                                "modified_at": "2025-03-11T19:07:16.474112+03:00",
                                "is_deleted": false,
                                "deleted_at": null,
                                "ordering": 0,
                                "type_en": "life_style",
                                "type_ar": "نمط الحياة",
                                "tag_en": "life_style",
                                "tag_ar": "نمط حياة",
                                "is_featured": false,
                                "featured_plan_id": 237,
                                "is_active": true,
                                "image": "/media/uploads/plans/plan-tags/images/2025/02/25/c377fda1-cc4b-4ccc-ab12-2ef917696133.png",
                                "color": "#e51f1f",
                                "description_en": null,
                                "description_ar": null,
                                "corporate": null
                            },
                            {
                                "id": 153,
                                "custom_fields": null,
                                "app_id": 90,
                                "created_at": "2025-01-27T13:35:17.871869+03:00",
                                "modified_at": "2025-02-24T15:37:03.718979+03:00",
                                "is_deleted": false,
                                "deleted_at": null,
                                "ordering": 1,
                                "type_en": "Protein",
                                "type_ar": "بروتين",
                                "tag_en": "PROTEIN",
                                "tag_ar": "بروتين",
                                "is_featured": false,
                                "featured_plan_id": null,
                                "is_active": true,
                                "image": "/media/uploads/plans/plan-tags/images/2025/01/27/aaec7dff-e3a8-4658-b599-594d9f9ba673.png",
                                "color": "#07e90b",
                                "description_en": null,
                                "description_ar": null,
                                "corporate": null
                            }
                        ],
                        "versions": [
                            {
                                "id": 1028,
                                "custom_fields": null,
                                "min_start_date": "2025-12-13",
                                "max_start_date": "2026-02-07",
                                "app_id": null,
                                "created_at": "2025-02-22T14:38:13.971176+03:00",
                                "modified_at": "2025-04-22T13:16:15.563987+03:00",
                                "is_deleted": false,
                                "deleted_at": null,
                                "ordering": 0,
                                "num_of_days": 60,
                                "off_days": [],
                                "total_num_of_items": 60,
                                "delivery_price": 300.0,
                                "original_price": 2940.0,
                                "discount_percentage": 5.0,
                                "is_active": true,
                                "duration": null,
                                "pause_credits": null,
                                "num_of_pause_attempts": null,
                                "min_of_pause_days": null,
                                "items_details": null,
                                "version_type": null,
                                "plan": 460,
                                "restaurant_branch": null
                            }
                        ],
                        "repetition": 1,
                        "start_date": "2024-07-13",
                        "max_end_date": "2026-04-08",
                        "skip_option_selection": false,
                        "size": {
                            "id": 95,
                            "custom_fields": null,
                            "app_id": null,
                            "created_at": "2025-01-12T13:47:05.409487+03:00",
                            "modified_at": "2025-01-12T13:49:47.088864+03:00",
                            "is_deleted": false,
                            "deleted_at": null,
                            "ordering": 0,
                            "title": "vegan",
                            "protein_amount": 12.0,
                            "unit": "gram",
                            "carb_amount": 550.0,
                            "restaurant": 90
                        },
                        "app_id": null,
                        "created_at": "2025-02-22T14:38:13.366405+03:00",
                        "modified_at": "2025-04-22T13:16:15.614537+03:00",
                        "is_deleted": false,
                        "deleted_at": null,
                        "ordering": 0,
                        "name_ar": "الخطط القائمة على الائتمان",
                        "name_en": "credit based plan",
                        "subtitle_ar": "الخطط القائمة على الائتمان",
                        "subtitle_en": "A sample credit based plan for testing",
                        "daily_num_of_meals": 1,
                        "image": "/media/uploads/plans/images/2025/02/22/8981f5c7-78d2-45dd-82e7-cc78a5ec4011.webp",
                        "description_ar": null,
                        "description_en": null,
                        "daily_num_of_items": 1,
                        "avg_daily_meal_calories": 600.0,
                        "start_after": 3,
                        "is_active": true,
                        "reference": null,
                        "selling_price": null,
                        "special_product_selection_limit": 3,
                        "featured_title_en": "Credit",
                        "featured_title_ar": "ائتمان",
                        "is_featured": false,
                        "is_marketplace_featured": false,
                        "is_marketplace_active": false,
                        "supported_service": "pickup",
                        "gender": "male",
                        "image_ar": null,
                        "subscription_type": "credit_based",
                        "menu": 105
                    },
                    "actual_num_of_days": 60,
                    "num_of_days": 0,
                    "num_of_remaining_days": 0,
                    "primary_location": {
                        "id": 2613,
                        "custom_fields": null,
                        "city": {
                            "id": 1,
                            "custom_fields": null,
                            "app_id": null,
                            "created_at": "2022-03-12T20:16:56.847917+03:00",
                            "modified_at": "2024-05-07T14:36:31.000029+03:00",
                            "is_deleted": false,
                            "deleted_at": null,
                            "ordering": 0,
                            "name_ar": "جده",
                            "name_en": "Jeddah",
                            "country_code": "SA",
                            "keywords": "Jeddah,jeddah,جدة,جده",
                            "is_supported": true
                        },
                        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
                        "app_id": null,
                        "created_at": "2025-03-27T19:01:35.175936+03:00",
                        "modified_at": "2025-11-13T14:56:01.167941+03:00",
                        "is_deleted": false,
                        "deleted_at": null,
                        "ordering": 0,
                        "name_ar": "work",
                        "name_en": "work",
                        "longitude": "39.10834543362559",
                        "latitude": "21.602493063070646",
                        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
                        "address2": null,
                        "place_id": "ChIJFwmXLqrbwxUR4ay8zjMv-_w",
                        "postal_code": "23612",
                        "formatted_address": "7295 Al Kurnaysh Br Rd, Ash Shati, Jeddah 23612, Saudi Arabia",
                        "district": "Ash Shati",
                        "district_ar": null,
                        "city_name_en": "Jeddah",
                        "city_name_ar": null,
                        "route": "Al Kurnaysh Branch Road",
                        "street_number": "7295",
                        "is_synced": true,
                        "type": "work",
                        "description": "branch location",
                        "is_default": false,
                        "image": null,
                        "deleted_from": null,
                        "agnostic_city_id": null,
                        "agnostic_district_id": null,
                        "zone": 95,
                        "customer_profile": 770
                    },
                    "secondary_location": {
                        "id": 2613,
                        "custom_fields": null,
                        "city": {
                            "id": 1,
                            "custom_fields": null,
                            "app_id": null,
                            "created_at": "2022-03-12T20:16:56.847917+03:00",
                            "modified_at": "2024-05-07T14:36:31.000029+03:00",
                            "is_deleted": false,
                            "deleted_at": null,
                            "ordering": 0,
                            "name_ar": "جده",
                            "name_en": "Jeddah",
                            "country_code": "SA",
                            "keywords": "Jeddah,jeddah,جدة,جده",
                            "is_supported": true
                        },
                        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
                        "app_id": null,
                        "created_at": "2025-03-27T19:01:35.175936+03:00",
                        "modified_at": "2025-11-13T14:56:01.167941+03:00",
                        "is_deleted": false,
                        "deleted_at": null,
                        "ordering": 0,
                        "name_ar": "work",
                        "name_en": "work",
                        "longitude": "39.10834543362559",
                        "latitude": "21.602493063070646",
                        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
                        "address2": null,
                        "place_id": "ChIJFwmXLqrbwxUR4ay8zjMv-_w",
                        "postal_code": "23612",
                        "formatted_address": "7295 Al Kurnaysh Br Rd, Ash Shati, Jeddah 23612, Saudi Arabia",
                        "district": "Ash Shati",
                        "district_ar": null,
                        "city_name_en": "Jeddah",
                        "city_name_ar": null,
                        "route": "Al Kurnaysh Branch Road",
                        "street_number": "7295",
                        "is_synced": true,
                        "type": "work",
                        "description": "branch location",
                        "is_default": false,
                        "image": null,
                        "deleted_from": null,
                        "agnostic_city_id": null,
                        "agnostic_district_id": null,
                        "zone": 95,
                        "customer_profile": 770
                    },
                    "primary_location_id": 2613,
                    "secondary_location_id": 2613,
                    "can_cancel": false,
                    "min_cancel_date": "2025-12-13",
                    "max_cancel_date": "2025-12-13",
                    "min_resume_date": "2025-12-13",
                    "max_resume_date": "2026-08-06",
                    "cancel_credits": 6,
                    "plan_version": {
                        "id": 1028,
                        "custom_fields": null,
                        "min_start_date": "2025-12-13",
                        "max_start_date": "2026-02-07",
                        "app_id": null,
                        "created_at": "2025-02-22T14:38:13.971176+03:00",
                        "modified_at": "2025-04-22T13:16:15.563987+03:00",
                        "is_deleted": false,
                        "deleted_at": null,
                        "ordering": 0,
                        "num_of_days": 60,
                        "off_days": [],
                        "total_num_of_items": 60,
                        "delivery_price": 300.0,
                        "original_price": 2940.0,
                        "discount_percentage": 5.0,
                        "is_active": true,
                        "duration": null,
                        "pause_credits": null,
                        "num_of_pause_attempts": null,
                        "min_of_pause_days": null,
                        "items_details": null,
                        "version_type": null,
                        "plan": 460,
                        "restaurant_branch": null
                    },
                    "next_order": null,
                    "restaurant_branch": {
                        "id": 67,
                        "custom_fields": null,
                        "location": {
                            "id": 1710,
                            "custom_fields": null,
                            "city": {
                                "id": 1,
                                "custom_fields": null,
                                "app_id": null,
                                "created_at": "2022-03-12T20:16:56.847917+03:00",
                                "modified_at": "2024-05-07T14:36:31.000029+03:00",
                                "is_deleted": false,
                                "deleted_at": null,
                                "ordering": 0,
                                "name_ar": "جده",
                                "name_en": "Jeddah",
                                "country_code": "SA",
                                "keywords": "Jeddah,jeddah,جدة,جده",
                                "is_supported": true
                            },
                            "location_url": "https://maps.google.com/?q=21.586573602258913,39.130210876464844",
                            "app_id": null,
                            "created_at": "2024-03-06T11:44:41.127413+03:00",
                            "modified_at": "2025-02-27T10:08:24.714255+03:00",
                            "is_deleted": false,
                            "deleted_at": null,
                            "ordering": 0,
                            "name_ar": "فرع",
                            "name_en": "branch",
                            "longitude": "39.130210876464844",
                            "latitude": "21.586573602258913",
                            "address1": "3543 Muhammed Ibn Wasil, 7674, AR Rabwah District, Jeddah 23446, Saudi Arabia",
                            "address2": null,
                            "place_id": "ChIJk7b9tfPawxURpp8oHc2utCM",
                            "postal_code": "23425",
                            "formatted_address": "حي, JEZC7442, 7442 Ahmad Al Attas, 2692, Al Zahra, Jeddah 23425, Saudi Arabia",
                            "district": "Al Zahra",
                            "district_ar": null,
                            "city_name_en": "Jeddah",
                            "city_name_ar": null,
                            "route": "Ahmad Al Attas",
                            "street_number": "7442",
                            "is_synced": true,
                            "zone": 33
                        },
                        "app_id": null,
                        "created_at": "2024-03-06T11:44:42.305931+03:00",
                        "modified_at": "2025-02-27T10:08:24.719081+03:00",
                        "is_deleted": false,
                        "deleted_at": null,
                        "ordering": 0,
                        "name_en": "Jeddah",
                        "name_ar": "جدة",
                        "on_demand_opened": true,
                        "on_demand_delivery_price": 0.0,
                        "on_demand_min_charge": 0.0,
                        "branch_hours": "-",
                        "is_active": true,
                        "is_main": false,
                        "is_dispatch": false,
                        "gender": null,
                        "restaurant": 90,
                        "handler": 151
                    },
                    "support_number": null,
                    "addon_orders_ids": "[]",
                    "app_id": 90,
                    "created_at": "2025-12-09T12:28:14.443498+03:00",
                    "modified_at": "2025-12-09T12:28:14.612466+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "name_ar": "الخطط القائمة على الائتمان",
                    "name_en": "credit based plan",
                    "start_date": "2025-07-06",
                    "end_date": "2025-09-04",
                    "avg_daily_meal_calories": 600.0,
                    "daily_delivery_price": 0.0,
                    "delivery_price": 0.0,
                    "daily_meal_price": 49.0,
                    "original_price": 2940.0,
                    "discount_percentage": 5.0,
                    "notes": "-",
                    "status": "new",
                    "paused_days": 0,
                    "pause_attempts_credits": 2,
                    "secondary_mobile_number": null,
                    "restricted_location": false,
                    "is_prime": false,
                    "corporate_location_id": null,
                    "is_saas": true,
                    "is_pickup": true,
                    "restaurant_branch_id": 67,
                    "order_id": 5800,
                    "voucher_id": null,
                    "voucher_code": null,
                    "is_first_subscription": false,
                    "city_id": 1,
                    "has_transferred": false,
                    "is_archived": false,
                    "refund_method": null,
                    "transfer_history": null,
                    "number_of_items": 60,
                    "remaining_items": 60,
                    "selected_variants_ids": null,
                    "paused_addons": null,
                    "paused_queue": null,
                    "items_details": null,
                    "dispatch_branch_id": null,
                    "source": "mobile",
                    "customer_profile": 770,
                    "delivery_window": 54,
                    "channel": null,
                    "corporate": null
                },
                "menu_category_name": null,
                "extra_config_quantity": null,
                "app_id": 90,
                "created_at": "2025-12-09T12:28:14.514467+03:00",
                "modified_at": "2025-12-09T12:28:14.514467+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "quantity": 1,
                "price": 2793.0,
                "cart": 10308,
                "extra_item_config": null
            }
        ],
        "price": 2793.0,
        "app_id": 90,
        "created_at": "2025-12-09T12:28:14.504465+03:00",
        "modified_at": "2025-12-09T12:28:14.504465+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "is_confirmed": true,
        "customer_profile": 770
    },
    "cart_price": 2940.0,
    "total_discounts": 147.0,
    "cart_price_discounts": 147.0,
    "total_price": 2793.0,
    "restaurant": {
        "id": 90,
        "custom_fields": null,
        "app_id": null,
        "created_at": "2024-03-06T11:42:09.978271+03:00",
        "modified_at": "2025-04-21T11:01:08.366467+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_en": "UAT",
        "name_ar": "يو اي تي",
        "subtitle_en": "The subscriptions app",
        "subtitle_ar": "تطبيق الاشتراكات",
        "description_en": "The subscriptions app",
        "description_ar": "",
        "logo": "/media/uploads/restaurants/menus/2024/03/06/9a2e53f0-944d-452f-b8a8-d0fd1489b1a3.png",
        "rest_type": "both",
        "start_after": 3,
        "store_start_after": 1,
        "is_active": true,
        "primary_color": "#4893d5",
        "secondary_color": "#dc83dd",
        "banner": "/media/uploads/restaurants/banners/2024/06/03/5668d02b-3785-47e5-80a6-defcb35b3e84.png",
        "closed_dates": "",
        "supports_pickup": true,
        "supports_delivery": true,
        "delivery_by_yumealz": false,
        "off_days": "sun,mon,tue,fri",
        "menu": 105,
        "main_branch_location": null
    },
    "restaurants": [
        {
            "id": 90,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2024-03-06T11:42:09.978271+03:00",
            "modified_at": "2025-04-21T11:01:08.366467+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "UAT",
            "name_ar": "يو اي تي",
            "subtitle_en": "The subscriptions app",
            "subtitle_ar": "تطبيق الاشتراكات",
            "description_en": "The subscriptions app",
            "description_ar": "",
            "logo": "/media/uploads/restaurants/menus/2024/03/06/9a2e53f0-944d-452f-b8a8-d0fd1489b1a3.png",
            "rest_type": "both",
            "start_after": 3,
            "store_start_after": 1,
            "is_active": true,
            "primary_color": "#4893d5",
            "secondary_color": "#dc83dd",
            "banner": "/media/uploads/restaurants/banners/2024/06/03/5668d02b-3785-47e5-80a6-defcb35b3e84.png",
            "closed_dates": "",
            "supports_pickup": true,
            "supports_delivery": true,
            "delivery_by_yumealz": false,
            "off_days": "sun,mon,tue,fri",
            "menu": 105,
            "main_branch_location": null
        }
    ],
    "payment": null,
    "location": {
        "id": 2613,
        "custom_fields": null,
        "city": {
            "id": 1,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2022-03-12T20:16:56.847917+03:00",
            "modified_at": "2024-05-07T14:36:31.000029+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "جده",
            "name_en": "Jeddah",
            "country_code": "SA",
            "keywords": "Jeddah,jeddah,جدة,جده",
            "is_supported": true
        },
        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
        "app_id": null,
        "created_at": "2025-03-27T19:01:35.175936+03:00",
        "modified_at": "2025-11-13T14:56:01.167941+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "work",
        "name_en": "work",
        "longitude": "39.10834543362559",
        "latitude": "21.602493063070646",
        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
        "address2": null,
        "place_id": "ChIJFwmXLqrbwxUR4ay8zjMv-_w",
        "postal_code": "23612",
        "formatted_address": "7295 Al Kurnaysh Br Rd, Ash Shati, Jeddah 23612, Saudi Arabia",
        "district": "Ash Shati",
        "district_ar": null,
        "city_name_en": "Jeddah",
        "city_name_ar": null,
        "route": "Al Kurnaysh Branch Road",
        "street_number": "7295",
        "is_synced": true,
        "type": "work",
        "description": "branch location",
        "is_default": false,
        "image": null,
        "deleted_from": null,
        "agnostic_city_id": null,
        "agnostic_district_id": null,
        "zone": 95,
        "customer_profile": 770
    },
    "delivery_window": {
        "id": 54,
        "custom_fields": null,
        "app_id": 6,
        "created_at": "2024-09-15T16:52:26.411067+03:00",
        "modified_at": "2024-09-15T16:52:26.411089+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "type": "subscription",
        "from_time": "18:00:00",
        "to_time": "20:00:00",
        "is_default": false,
        "is_active": true,
        "tag_en": "created",
        "tag_ar": null
    },
    "pickup_branch": null,
    "cashback_amount": 0.0,
    "voucher_applied": false,
    "restaurant_id": 90,
    "payment_link": "http://localhost:8000/api/v4/orders/checkout/5800/",
    "dispatch_branch_id": null,
    "app_id": 90,
    "created_at": "2025-12-09T12:28:14.538471+03:00",
    "modified_at": "2025-12-09T12:28:14.593979+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "customer_id": 770,
    "delivery_fee": 0.0,
    "delivery_fee_discounts": 0.0,
    "redeem_discounts": 0.0,
    "redeemed_point_id": null,
    "status": 100,
    "is_sub": false,
    "is_paid": false,
    "voucher_id": null,
    "type": "subscription",
    "delivery_date": null,
    "received_at": null,
    "delivered_at": null,
    "notes": "-",
    "redeem_flag": false,
    "price_flag": false,
    "is_prime": false,
    "is_saas": true,
    "is_pickup": true,
    "pickup_branch_id": null,
    "invoice_serial": null,
    "invoice_file": null,
    "payment_attachment": null,
    "is_archived": false,
    "reference": null,
    "has_been_synced": false,
    "pending_sub_order_ids": null,
    "pending_add_on_items": null,
    "captain": null,
    "prices": 5687,
    "channel": null,
    "subscription": null
}
Modified at 2025-12-05 18:41:15
Previous
Has Purchased Plan
Next
List orders
Built with